package implementation;

public class Point2 {
	double x;
	double y;
	
	public Point2(double x, double y) {
		this.x = x;
		this.y = y;
	}
	
	// Redefine (override) the inherited equals method from Object.
	@Override
	public boolean equals(Object obj) {
		// if obj and this refere to the same object, true
		if(this == obj) {
			return true;
		}
		if(obj == null) {
			return false;
		}
		if(this.getClass() != obj.getClass()) {
			return false;
		}
		// Reaching this point,
		// we know that this and obj are both not null,
		// and they are of the same type.
		Point2 other = (Point2) obj;
		// reaching this point, i know that this and other are of the same type.
		//return this.x == other.x && this.y == other.y;
		return this.x == ((Point2) obj).x && this.y == ((Point2) obj).y;
		
	}
}
