package implementation;

/**
 * This is a template for 2-D points.
 * @author jackie
 *
 */
public class Point {
	public double x; 
	public double y;
	/* If there is no constructor explicitly defined,
	 * Java will have a default constructor for you,
	 * as if the following constructor: */
	public Point() {
		/* default constructor does nothing to initialize the attribute values,
		 * this means numbers will be assigned 0 by default.  */
	}
	
	// Here, because of shadowing, we need 'this'
	public Point(double x, double y) {
		this.x = x;
		this.y = y;
	}
	

	// Mutator method
	// Here, no shadowing, so 'this' is optinoal
	public void move(int hu, int vu) {
		this.x += hu;
		y += vu;
	}
	
	// Accessor method
	public boolean isInFirstQ() {
//		boolean answer;
//		if(this.x > 0 && this.y > 0) {
//			answer = true;
//		}
//		else {
//			answer = false;
//		}
//		return answer;
		return this.x > 0 && this.y > 0;
	}
	
	// Your exercise
	public int getQ() {
		return -1;
	}
	
	// Your exercise
	// Return the distance between 'this' and 'other'.
	public double getDistance(Point other) {
		return -1;
	}
	
	// Your exercise
	// Return the distance between 'this' and 'p1', 'this' and 'p2', and 'p1' and 'p2'
	public double getDistance(Point p1, Point p2) {
		return -1;
	}
	
	// There is no redefinition of equals here,
	// so the inherited version from Object class is used. 
	// This default version compares references only.
}










